t.copy(1)

NAME
t.copy - Creates a copy of a space time raster dataset.

KEYWORDS
temporal, copy, time

SYNOPSIS
t.copy
t.copy --help
t.copy [-c] input=name [type=name] output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-c
    Also copy maps of the space-time dataset
    By default the old maps are only registered in the new dataset.

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time dataset

type=name
    Type of the input space time dataset
    Options: strds, str3ds, stvds
    Default: strds

output=name [required]
    Name of the output space time dataset

DESCRIPTION
The purpose of t.copy is to create a copy of a space time dataset. The new space time dataset will be located in the current mapset, whereas the old space time dataset can be located in a different mapset as long as this mapset is in the search path.

If the -c flag is given, the maps of the old space time dataset will also be copied to the current mapset, otherwise the original maps will be simply registered in the temporal database. The new copies will have the same name as the old maps.

NOTES
A fully qualified name for the input space-time dataset is only required if space-time datasets with the same name exist in different mapsets.

EXAMPLE
In the North Carolina sample dataset with the separately available mapset modis_lst included, copy the space-time raster dataset LST_Day_monthly@modis_lst to the current mapset user1:

g.mapsets mapset=modis_lst operation=add
t.copy input=LST_Day_monthly@modis_lst type=strds output=LST_Day_monthly

SEE ALSO
t.rast.extract, t.rast3d.extract, t.vect.extract, t.info

AUTHOR
Markus Metz, mundialis

SOURCE CODE

Available at: t.copy source code (history)

Latest change: Tuesday Dec 17 20:17:20 2024 in commit: d962e90c026708a4815ea2b9f46c0e84c17de22d

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual